Subject: Re: bug#63648: 29.0.90; project.el: with switch-use-entire-map, switch-project errors on non-project commands

From: Spencer Baugh <[email-masked]>
Date: Thu, 19 Oct 2023 15:38:33 -0400

Juri Linkov <[email-masked]> writes:
>>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63829 was a problem
>>> caused by a similar approach in the implementation. OTOH,
>>
>> I was thinking we'd solve both this specific problem and the general
>> case by just saving the current buffer in a project-old-buffer variable
>> so that project-aware commands could go back and grab stuff from it.
>>
>> It does mean that project-unaware commands can't both operate in a
>> different project and on the current buffer.  Is there ever a place we
>> actually want that though?
>
> For example, 'C-x p p M-x rgrep RET' would need to read a word under point
> as the default value.

Argh.  Aaargh.

OK, I guess that is definitely a test case that we want to work.

So nevermind about the idea of having project-switch-project just switch
to a project-status buffer.